

import json

data = dict(
  name = "foo",
  branch = "bar",
  transaction_data = dict(
    accounts = [
      dict(account_id = 1, subtype = 'chck', kind='abc',
           balances = dict(current = 1010)),
      dict(account_id = 2, subtype = 'save', kind='def',
           balances = dict(current = 1234)),
      dict(account_id = 3, subtype = 'foo', kind='bar',
           balances = dict(current = 777))
      ],
    transactions = []
  )
)

n = 20
#n = 2000

txns = []
for ntxn in range(n):
  txn = dict()
  if 1:
    txn.update(dict(
      category = ['Travel', 'Gas', 'Food'],
      account_id = 'QBkEGasdvbsfdgFooBar',
      loc = dict(
        city = 'Houston', state = 'TX',
        zip = None, address = None, store_number = None,
        lat = None, lon = None),
      meta_data = dict(
        ref_number = None,
        payer = None, payee = None, payment_method = None,
        reason = None)
    ))
  txn.update(dict(
    merchant = 'Ol\' Jo\'s Market',
    description = 'Bananas with Oranges and Grapefruit' * 10,
    date = '01-01-2019',
    amount = 10.10,
    account_id = 1,
    txn_id = ntxn,
    pending = False,
  ))
  txns.append(txn)

print(len(txns))

data['transaction_data']['transactions'] = txns



with open('data.json', 'wt') as f:
  json.dump(data, f)
  


  
